Subject: Re: bug#5914: feature request and non-bug patches submit policy

From: Sunil Mushran <[email-masked]>
Date: Fri, 09 Apr 2010 10:15:26 -0700

jeff.liu wrote:
>> Over the last few weeks I've been working on other projects
>> (pretty must time dedicated to getting grep back into shape),
>> so coreutils has languished.  Sorry for not giving more feedback,
>> but I have been watching.
>>
>> In fact, seeing the use of HAVE_FTRUNCATE that is moved by your patch
>> is what prompted me to mark the ftruncate module as obsolete and remove
>> that code from copy.c.
>>
>> While I'm writing, here's one high-level question for you.
>> When would your new --fiemap-sync option be useful, and what change
>> in semantics will I see between when I use it and when I don't?
>>
>>          --fiemap-sync            sync file data before fiemap\n\
>>
> IMHO, there is no difference from the user's point of view with or without this option.
> and on the kernel side, if FIEMAP_FLAG_SYNC was specified, it just do the dirty page process
> regardless of the sync succeeds or failed due to ENOSPC or EIO or other errors.
>
> I need to do more investigation to answer this question.

I would recommend using fiemap purely as a means to get the extent map to
skip reading the holes when copying. That's it. And it should be used when
available. No user options.